import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicGkPvp {
    readonly id: number;
    readonly point: number;
}

export const dicGateActivityPoint = new Map<number, number>();
export function loadGateActivityPoint() {
    dicGateActivityPoint.clear();
    let arr = readFileAndParse(FILENAME.DIC_GATE_ACTIVITY_POINT);

    arr.forEach(o => {
        dicGateActivityPoint.set(o.id, o.point);
    });
    arr = undefined;
}
